/* $Id: markov_lexical.h,v 1.12 2007/05/17 01:55:13 oohara Exp $ */

#ifndef __TMH_MARKOV_LEXICAL_H__
#define __TMH_MARKOV_LEXICAL_H__

/* FILE */
#include <stdio.h>

#include "markov.h"

/* yylex_init */
int markov_lex_init(void **yyscanner);

/* yylex */
/* *s must be set to NULL before calling this funcion
 * return 0 on success, 1 on error
 */
int markov_lex(int n_errfile, FILE **p_errfile,
               markov **chain, char **s, void *yyscanner);

/* yylex_destroy */
int markov_lex_destroy(void *yyscanner);

void markov_read_from_file(FILE *file, void *yyscanner);

#endif /* not __TMH_MARKOV_LEXICAL_H__ */
