/* $Id: world.h,v 1.11 2007/05/17 01:51:33 oohara Exp $ */

#ifndef __TMH_WORLD_H__
#define __TMH_WORLD_H__

/* FILE */
#include <stdio.h>

#include <SDL.h>
/* libsdl-ttf2.0 */
#include <SDL_ttf.h>

struct _world
{
  int n_errfile;
  FILE **p_errfile;
  SDL_Surface *screen;
  SDL_Surface **background;
  TTF_Font *font_24;
  TTF_Font *font_12;
  int char_done;
  int char_done_cap;
  int miss_10;
  int t_origin;
  int t_now;
  int frame;
  int clock_granularity;
  int antialias;
  int anija;
};
typedef struct _world world;

world *world_new(const char *ttf_font_file, int antialias, int anija,
                 int full_screen, int background_type);
void world_delete(world *wp);

#endif /* not __TMH_WORLD_H__ */
