/* $Id: dbnj_util.h,v 1.13 2005/10/26 17:44:33 oohara Exp $ */

#ifndef __LIBDBNJ_UTIL_H__
#define __LIBDBNJ_UTIL_H__

/* FILE */
#include <stdio.h>

int dbnj_fprintf(int n_file, FILE **p_file, const char *template, ...);
int dbnj_str_to_int(int n_errfile, FILE **p_errfile,
                    int *value, const char *string);
char *dbnj_concat_string(int n_errfile, FILE **p_errfile,
                         char *result, int n, ...);
int dbnj_string_hash(const char *s);
int dbnj_string_equal(const char *s1, const char *s2);
int dbnj_hsv_to_rgb(int n_errfile, FILE **p_errfile,
                    int *rgb, int hue, int saturation, int value);

#endif /* not __LIBDBNJ_UTIL_H__ */
